unit Linien1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  // Rechteck und Ellipse
  Canvas.Rectangle (10, 10, ClientWidth-10, ClientHeight-10);
  Canvas.Ellipse (20, 20, ClientWidth-20, ClientHeight-20);
  // Kreuz
  Canvas.MoveTo (0, ClientHeight div 2);
  Canvas.LineTo (ClientWidth, ClientHeight div 2);
  Canvas.MoveTo (ClientWidth div 2, 0);
  Canvas.LineTo (ClientWidth div 2, ClientHeight);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  randomize; // wird sonst als Malware eingestuft (?)
end;

end.
